<?php 
/*
Plugin Name: Front2Back
Version: 2.2.d
Description: Add a link on picture's page to show a alternative version of the pic (for postcards for example)
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=183
Author: VDigital & Mistic
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('F2B_DIR', basename(dirname(__FILE__)));
define('F2B_PATH', PHPWG_PLUGINS_PATH . F2B_DIR . '/');

include_once(F2B_PATH . 'Front2Back.php');
add_event_handler('render_element_content', 'Front2Back_content', 99, 2);
	
if (script_basename() == 'admin')
{
	add_event_handler('get_admin_plugin_menu_links', 'Front2Back_admin_menu');
	function Front2Back_admin_menu($menu) 
	{
		array_push($menu, array(
			'NAME' => 'Front2Back',
			'URL' => get_root_url().'admin.php?page=plugin-' . F2B_DIR));
		return $menu;
	}
}

?>
