<?php 
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

function Front2Back_content($content, $image)
{
	global $template, $conf;
	$conf['Front2Back'] = explode(',', $conf['Front2Back']);
	load_language('plugin.lang', F2B_PATH);

	/* dirs and files */
	if (empty($conf['Front2Back'][0])) {
		$verso_dir = str_replace($image['file'], null, $image['path']) . $conf['Front2Back'][1];
		$hd_dir = str_replace($image['file'], null, $image['path']) . $conf['Front2Back'][2];
	} else {
		$verso_dir = PHPWG_ROOT_PATH . $conf['Front2Back'][0] . $conf['Front2Back'][1];
		$hd_dir = PHPWG_ROOT_PATH . $conf['Front2Back'][0] . $conf['Front2Back'][2];
	}
	$verso_file = get_filename_wo_extension($image['file']) . $conf['Front2Back'][3] . '.' . get_extension($image['file']);
	$rotat_file = get_filename_wo_extension($image['file']) . '-r.' . get_extension($image['file']);

	$template->set_filenames(array('Front2Back' => dirname(__FILE__) . '/template/Front2Back.tpl') );
	$template->assign('F2B_PATH', F2B_PATH);

	/* Is there a verso file ? */
	if (is_file($verso_dir.$verso_file)) 
	{
		$template->assign('VERSO_URL', $verso_dir.$verso_file);

		if (is_file($hd_dir.$verso_file)) {
			$template->assign('VERSO_HD', $hd_dir.$verso_file);
		}
	}
	/* useless section, just for retrocompatibility */
	else if (is_file($verso_dir.$rotat_file)) 
	{           
		$template->assign('VERSO_URL', $verso_dir.$rotat_file); 
		
		if (is_file($hd_dir.$rotat_file)) {
			$template->assign('VERSO_HD', $hd_dir.$rotat_file);
		}
	}
	/* otherwise */
	else 
	{
		return $content;
	}
	
	return $content . $template->parse('Front2Back', true);    
}  

?>